
QGIS Application - Bug report #15913

Bug when using NIght Mapping inside Raster Style - Band Rendering

2016-11-30 03:02 AM - Pavel Diptan

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23830

Description

This bug is only present when using UI Theme: Night Mapping

The colours don't show up on raster style bands in style editor. Look at screenshot for comparison between night mapping and normal.

To reproduce:

    -  Select any raster and right click. Go to properties, Style tab and look at the colour in the assigned bands.

    -  Even though the colour are applied correctly to each band, the colours wont display

Associated revisions

Revision 38e6ace5 - 2018-12-28 07:41 AM - Mathieu Pellerin - nIRV

Fix missing color cell in color ramp shader widget for non-default theme

(fixes #15913)

Revision 314c399d - 2018-12-28 09:47 AM - Mathieu Pellerin - nIRV

Fix missing color cell in color ramp shader widget for non-default theme

(fixes #15913)

History

#1 - 2017-01-05 12:19 AM - Giovanni Manghi

- Priority changed from High to Normal

- Category set to GUI

#2 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-12-28 07:40 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|38e6ace59d294715e4c19d8807944ec93fffcf44.

#4 - 2018-12-28 03:05 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Description updated

Files

NightMappingRaster.png 109 KB 2016-11-30 Pavel Diptan

NormalMappingRaster.png 91.2 KB 2016-11-30 Pavel Diptan
